Edushade Docs
Enrollments

Enroll user

POST
/admin/learning/enrollments
AuthorizationBearer <token>

In: header

allow_extensionsboolean
Defaulttrue
expires_atstring
Default"2024-12-31T23:59:59Z"
notifications_enabledboolean
Defaulttrue
program_idstring
Default"123e4567-e89b-12d3-a456-426614174001"
Formatuuid
program_typestring
Default"course"
user_idstring
Default"123e4567-e89b-12d3-a456-426614174000"
Formatuuid

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/enrollments" \
  -H "Content-Type: application/json" \
  -d '{
    "allow_extensions": true,
    "expires_at": "2024-12-31T23:59:59Z",
    "notifications_enabled": true,
    "program_id": "123e4567-e89b-12d3-a456-426614174001",
    "program_type": "course",
    "user_id": "123e4567-e89b-12d3-a456-426614174000"
  }'
{}
Empty
Empty
Empty